Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 23936
Description

When gdal's build virtual raster algorithm is used within a model, its temporary output file name is wrong, returns a
<TEMPORARYNAME>.TIF instead of the correct <TEMPORARYNAME>.VRT.

I've attached a simple model which easily demonstrates the issue. Steps to reproduce:

- Load the attached model into processing

- Run the attached model, add three required raster inputs

- Leave the output as temporary

- Run the model

- Notice the console error message highlighting the wrong file name

- Open the temporary directory in which the VRT was created, and note the presence of the VRT, with the correct .VRT file extension

Associated revisions

Revision 9908d9cf - 2017-01-04 09:18 AM - Mathieu Pellerin - nIRV

[processing] fix modeler output values in case algorithm(s)

execution modifies those (fixes #16021)

Revision da3eb06b - 2017-01-24 01:55 PM - Mathieu Pellerin - nIRV

[processing] fix modeler output values in case algorithm(s)

execution modifies those (fixes #16021)

(cherry picked from commit 9908d9cf8117741f4614f21595018e97cf829333)

Revision 056ef7{7 - 2017-01-24 01:58 PM - Mathieu Pellerin - nIRV

[processing] fix modeler output values in case algorithm(s)

execution modifies those (fixes #16021)

(cherry picked from commit 9908d9cf8117741f4614f21595018e97¢f829333)

History

#1 - 2017-01-04 12:14 AM - Mathieu Pellerin - nIRV
- Status changed from Open to Closed
Fixed in changeset commit:"9908d9cf8117741f4614f21595018e97cf829333".

Files

build_rgb_vrt.model 5.66 KB 2016-12-29 Mathieu Pellerin - nIRV

2025-04-27 22



